RANLIB=ranlib

## everything is in /usr/include
#XINCLUDES=
#CCC=CC
###

## sg irix
#XINCLUDES=-I/usr/include/X11
#CCC=CC
###

## ibm aix
#XINCLUDES=
#CCC=xlC -+
###

## dec osf1
#XINCLUDES=
###

## ncr sysv4
#XINCLUDES=
#RANLIB=@:
###

## nec sysv4
#XINCLUDES=
#RANLIB=@:
###

## novell sysv4
#XINCLUDES=-I/usr/X/include -I/usr/X/include/X11
#RANLIB=@:
###

# solaris 2.x
XINCLUDES=-I/usr/dt/include -I/usr/openwin/include -I/usr/openwin/include/X11
CCC=CC
RANLIB=@:
##

## sco sysv3.4
#XINCLUDES=
###

## hp-ux 9.x
## -Wp,-H900000 recommended if too many cpp defines.
#XINCLUDES=-I/usr/include/X11R5 -I/usr/include/Motif1.2
###


CFLAGS=-I. ${XINCLUDES}
CCFLAGS=${CFLAGS}


CC_SOURCES=\
		CFile.cxx \
		CStream.cxx \
		CJString.cxx \
		CJStringFile.cxx \
		CJList.cxx \
		CSearcher.cxx \
		CWaitCursor.cxx \
		CText.cxx

CC_OBJECTS=\
		CFile.o \
		CStream.o \
		CJString.o \
		CJStringFile.o \
		CJList.o \
		CSearcher.o \
		CWaitCursor.o \
		CText.o

all:	lib.a

depend:
	makedepend -a -- $(CCFLAGS) $(CPPFLAGS) -- $(CC_SOURCES)

clean:
	rm -f $(CC_OBJECTS) lib.a

lib.a:	$(CC_OBJECTS) 
	ar r lib.a $(CC_OBJECTS)
	-$(RANLIB) lib.a

CFile.o: CFile.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CFile.cxx

CStream.o: CStream.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CStream.cxx

CJStringFile.o: CJStringFile.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CJStringFile.cxx

CJString.o: CJString.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CJString.cxx

CJStringStream.o: CJStringStream.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CJStringStream.cxx

CJList.o: CJList.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CJList.cxx

CSearcher.o: CSearcher.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CSearcher.cxx

CWaitCursor.o: CWaitCursor.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CWaitCursor.cxx

CText.o: CText.cxx
	$(CCC) $(CCFLAGS) $(CPPFLAGS) -c CText.cxx

# DO NOT DELETE THIS LINE -- make depend depends on it.
